@Rem Prerequisites: openssl-*.tar.gz, gzip, tar, WM61_ARMV4I_env.bat, Visual Studio 2008, FIPS_XP_x86
if "%OSVERSION%"=="" call WM61_ARMV4I_env.bat

@Rem create the openssl folder directly from the OpenSSL git repository
git clone git://git.openssl.org/openssl.git
cd openssl

@Rem select a branch to work on
git checkout origin/OpenSSL_1_0_2-stable -b OpenSSL_1_0_2
@Rem git clean -xfd

@Rem use the fips_standalone_sha1.exe built for XP, it is not build for WM6
copy ..\FIPS_XP_x86\bin\fips_standalone_sha1.exe %FIPSDIR%\bin

@Rem use msincore.pl from the FIPSDIR folder
set FIPS_SIG=perl %FIPSDIR%\bin\msincore.pl

@Rem use include files from the FIPSDIR folder
@Rem the current build process won't find those header files simply based upon FIPSDIR being defined
xcopy %FIPSDIR%\include\*.h inc32\ /s /y

perl Configure VC-CE fips --with-fipsdir=%FIPSDIR%
if errorlevel 1 exit /b 1

call ms\do_ms
if errorlevel 1 exit /b 1

nmake -f ms\ce.mak
if errorlevel 1 exit /b 1

cd ..
